Help w/OS on a 400 Mhz iMac G3

rdhatfield3

macrumors member
Original poster
Oct 19, 2004
47
0
Searcy, AR
I am working on an iMac G3 running at 400 Mhz. I have 10.2.8 intalled and running great. When i first took on upgrading this machine it said that it could not install os 10.3 because it needed a firmware upgrade. I am wondering if i could install 10.3 now that i have installed 10.2.8. (Did it upgrade drivers with that install)? I guess i am currious if there is a limit to the highest sytem you can run on a OS X capable system. The ram is at 320 so that is not a short-come. It also contains a 2x AGP with an ATI rage w/8MB of vram i believe. It is a surprisingly responsive machine as it is and i just am looking for some of the functionality that come with the .3 upgrade. Any advice or help?
 

rkphoto

macrumors regular
Feb 1, 2005
100
0
BROOKLYN
I have a graphite 400Mhz G3 iMac that is running OS 10.3.7. Relatively snappy and never crashes. I don't remember having to install any firmware when I went from 10.2.8 to 10.3. So I don't think it's a hardware issue 10.3.8 should work flawlessly on your machine.

Good Luck
rk
 

40167

macrumors regular
Sep 5, 2004
202
0
10.3.8 will run fine, my 333mhz imac has it right now... The firmware issue is when going from 9 to 10.anything as supposently if you dont upgrade the firmware your mainboard would fry when going from 9 to 10.

You dont need to do anything once your on 10.anything to upgrade to a higher version.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.